<!--
    HTML page to create new repair.
    Separate page to help with pairing new repair to an account (select names over id numbers)
-->
<!DOCTYPE html>
<html lang="en">

<head>
	<meta charset="UTF-8">
	<meta http-equiv="X-UA-Compatible" content="IE=edge">
	<meta name="viewport" content="width=device-width, initial-scale=1.0">
	<title>Create Repair - Auto Repairs</title>

	<!-- Bootstrap -->
	<link href="https://cdn.jsdelivr.net/npm/bootstrap@5.0.0-beta2/dist/css/bootstrap.min.css" rel="stylesheet"
		integrity="sha384-BmbxuPwQa2lc/FVzBcNJ7UAyJxM6wuqIj61tLrc4wSX0szH/Ev+nYRRuWlolflfl" crossorigin="anonymous">

</head>

<body>
	<!--
        ----------------------------------------------------------------------------
        Nav bar
        ----------------------------------------------------------------------------
    -->
	<header>
		<nav class="navbar navbar-expand-sm navbar-light bg-light">
			<div class="container-fluid">
				<a class="navbar-brand" href="../index.html">Auto Repairs</a>
				<!-- Responsive navbar expander for narrow viewports -->
				<button class="navbar-toggler" type="button" data-bs-toggle="collapse"
					data-bs-target="#navbarSupportedContent" aria-controls="navbarSupportedContent"
					aria-expanded="false" aria-label="Toggle navigation">
					<span class="navbar-toggler-icon"></span>
				</button>
				<div class="collapse navbar-collapse" id="navbarSupportedContent">
					<ul class="navbar-nav me-auto mb-2 mb-lg-0">
						<li class="nav-item">
							<a class="nav-link active" aria-current="page" href="../index.html">Home</a>
						</li>
						<li class="nav-item" id="login-nav-item">
							<a class="nav-link" href="../accounts/login.html">Log In</a>
						</li>
						<li class="nav-item" id="create-account-nav-item">
							<a class="nav-link" href="../accounts/create-account.html">Create Account</a>
						</li>
						<li class="nav-item" id="repairs-nav-item" hidden>
							<!-- link to a page for viewing repairs. Admins get a different html for now -->
							<a class="nav-link" id="repairs-nav-item-link" href="#">Repairs</a>
						</li>
						<li class="nav-item" id="create-repair-nav-item" hidden>
							<a class="nav-link" href="../repairs/create-repair.html">Create Repair</a>
						</li>
						<li class="nav-item" id="account-nav-item" hidden>
							<!-- page to view and edit accounts -->
							<a class="nav-link" href="../accounts/update-account.html">Account</a>
						</li>
						<li class="nav-item" id="all-accounts-nav-item" hidden>
							<a class="nav-link" href="../accounts/accounts.html">All Accounts</a>
						</li>
						<li class="nav-item" id="logout-nav-item" hidden>
							<a class="nav-link" href="#">Log Out</a>
						</li>
					</ul>
				</div>
				<!-- navbar links -->
			</div>
		</nav>
	</header>
	<!--
        ----------------------------------------------------------------------------
        Main body
        ----------------------------------------------------------------------------
    -->

	<main class="mt5">
		<div class="container">
			<h1>Log a Repair</h1>
			<div class="col-md-6" id="create-form-submission-response" hidden>
				<!-- reponse is added here -->
			</div>
			<form id="create-repair-form" class="row g-3">
				<div class="col-md-4">
					<label for="create-repair-form-account" class="col-form-label">Customer:</label>
					<!-- Eventually I want to query all users, and set up a select with the customers names -->
					<select class="form-select" id="create-repair-form-account" onblur="automaticValidation(this)"
						required>
						<option disabled selected value="">Choose a customer</option>
					</select>
					<div class="invalid-feedback">
						Please select a customer
					</div>
				</div>
				<div class="col-md-4">
					<label for="create-repair-form-price" class="col-form-label">Price:</label>
					<div class="input-group">
						<div class="input-group-text">$</div>
						<input type="number" step="0.01" min="0" class="form-control" id="create-repair-form-price"
							onblur="automaticValidation(this)" required>
						<div class="invalid-feedback">
							Please enter a valid dollar amount
						</div>
					</div>
				</div>
				<div class="col-md-4">
					<label for="create-repair-form-status" class="col-form-label">Status:</label>
					<select class="form-select" aria-label="status selection" id="create-repair-form-status"
						onblur="automaticValidation(this)" required>
						<option value="PENDING">Pending</option>
						<option value="IN_PROGRESS">In Progress</option>
						<option value="COMPLETED">Completed</option>
					</select>
				</div>
				<div class="col-md-5">
					<label for="create-repair-form-make" class="col-form-label">Make:</label>
					<input type="text" class="form-control" id="create-repair-form-make"
						onblur="automaticValidation(this)" required>
					<div class="invalid-feedback">
						Please enter the make of the vehicle
					</div>
				</div>
				<div class="col-md-5">
					<label for="create-repair-form-model" class="col-form-label">Model:</label>
					<input type="text" class="form-control" id="create-repair-form-model"
						onblur="automaticValidation(this)" required>
					<div class="invalid-feedback">
						Please enter the model of the vehicle
					</div>
				</div>
				<div class="col-md-2">
					<label for="create-repair-form-year" class="col-form-label">Year:</label>
					<input type="number" min="1500" class="form-control" id="create-repair-form-year"
						onblur="automaticValidation(this)" required>
					<div class="invalid-feedback">
						Please enter the year the vehicle was made
					</div>
				</div>
				<div class="col-md-6">
					<label for="create-repair-form-problem" class="col-form-label">Problem:</label>
					<textarea class="form-control" id="create-repair-form-problem" onblur="automaticValidation(this)"
						required></textarea>
					<div class="invalid-feedback">
						Please describe the reason the vehicle is in for work
					</div>
				</div>
				<div class="col-md-6">
					<!-- solution not required -->
					<label for="create-repair-form-solution" class="col-form-label">solution:</label>
					<textarea class="form-control" id="create-repair-form-solution"
						onblur="automaticValidation(this)"></textarea>
				</div>
				<div class="col-md-12">
					<button type="submit" class="btn btn-primary">Submit</button>
				</div>
			</form>
		</div>

	</main>

	<!-- JS imports -->
	<script src="https://cdn.jsdelivr.net/npm/bootstrap@5.0.0-beta2/dist/js/bootstrap.bundle.min.js"
		integrity="sha384-b5kHyXgcpbZJO/tY9Ul7kGkf1S0CWuKcCD38l8YkeH8z8QjE0GmW1gYU5S9FOnJ0"
		crossorigin="anonymous"></script>
	<script src="../js/server-requests.js"></script>
	<script src="../js/nav-bar.js"></script>
	<script src="./create-repair.js"></script>
</body>

</html>